# Imagick::chopImage

(PECL imagick 2.0.0)

Imagick::chopImage — Removes a region of an image and trims

### Description

Imagick::chopImage ( int `$width` , int `$height` , int `$x` , int `$y` ) : bool

Removes a region of an image and collapses the image to occupy the removed portion.

### Parameters

`width`

  Width of the chopped area

`height`

  Height of the chopped area

`x`

  X origo of the chopped area

`y`

  Y origo of the chopped area

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::chopImage():

Example of using Imagick::chopImage

`<?php
/* Create some objects */
$image = new Imagick();
$pixel = new ImagickPixel( 'gray' );
/* New image */
$image->newImage(400, 200, $pixel);
/* Chop image */
$image->chopImage(200, 200, 0, 0);
/* Give image a format */
$image->setImageFormat('png');
/* Output the image with headers */
header('Content-type: image/png');
echo $image;
?>`

### See Also

- Imagick::cropImage() - Extracts a region of the image